'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-862f1059.js');

/*
 Stencil Client Patch Browser v4.12.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('websocialshare.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["web-social-share.cjs",[[1,"web-social-share",{"show":[1028],"share":[16]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=websocialshare.cjs.js.map